> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all workflows

> Retrieve a list of workflows (metadata only).

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v3/create-manage-workflows-v3.json GET /automation/v3/workflows
openapi: 3.0.0
info:
  title: Workflows API v3
  version: 1.0.0
  description: >-
    Workflows API v3 - Auto-generated from MDX documentation. Use the Workflows
    API to create and manage workflows, enroll or remove contacts, and retrieve
    performance data.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v3/workflows:
    get:
      summary: Get all workflows
      description: Returns a list of workflows for the portal (metadata only).
      operationId: getWorkflows
      responses:
        '200':
          description: List of workflows
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowList'
              examples:
                sample:
                  summary: Sample list
                  value:
                    workflows:
                      - name: Testing 123
                        id: 10900
                        type: DRIP_DELAY
                        enabled: false
                        insertedAt: 1348564640837
                        updatedAt: 1467737836223
                        personaTagIds: []
                        contactListIds:
                          enrolled: 300
                          active: 68737
                          steps: []
                      - name: Test 2
                        id: 12707
                        enabled: false
                        insertedAt: 1349673659792
                        updatedAt: 1349673659792
                        personaTagIds: []
                        contactListIds:
                          enrolled: 309
                          active: 68738
                          steps: []
                      - name: Example Workflow
                        id: 23505
                        enabled: false
                        insertedAt: 1353448650631
                        updatedAt: 1353448650631
                        personaTagIds: []
                        contactListIds:
                          enrolled: 318
                          active: 68740
                          steps: []
        default:
          $ref: '#/components/responses/Error'
components:
  schemas:
    WorkflowList:
      type: array
      items:
        $ref: '#/components/schemas/Workflow'
    Workflow:
      type: object
      description: Simplified workflow schema
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: string
        enabled:
          type: boolean
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````